//
// CopyRight (C) 2002, IPA, eLC, NTT Resonant Inc. All rights reserved.
//
//	AuxiliaryResource
//
//	変更履歴
//		2002.12.25  新規作成
//

package jp.co.ntt.lms.lo.scorm.kernel;

/**
*  auxiliary resource クラス<BR>
*  ヒントなど、シーケンシングに関係しないリソースを表すクラス<BR>
*/
public class AuxiliaryResource {
	/** resource id */
	private String resourceID;

	/** purpose */
	private String purpose;

	/**
	 * デフォルトコンストラクタ 
	 */
	public AuxiliaryResource() {}

	/**
	 * コンストラクタ<BR>
	 * @param resourceID リソースのGUID<BR>
	 * @param purpose ボタン名<BR>
	 */
	public AuxiliaryResource(String resourceID, String purpose) {
		this.resourceID = resourceID;
		this.purpose = purpose;
	}

	/**
	 * auxiliary resource id の取得<BR>
	 * @return auxiliary resource の ID<BR>
	 */
	public String getResourceID() {
		return resourceID;
	}

	/**
	 * purpose の取得<BR>
	 * ( auxiliary resource の ボタンの表示など )<BR>
	 * @return purpose の文字列<BR>
	 */
	public String getPurpose() {
		return purpose;
	}
}
